Page MenuHomePhabricator

Have PageAssessments do all database writes via the Job Queue
Closed, ResolvedPublic3 Story Points

Description

In order to prevent overloading the master database when we add the PageAssessments parser function to several million articles, we should queue the queries in the Job Queue. See https://www.mediawiki.org/wiki/Manual:Job_queue/For_developers. This is also just good practice for low-priority database writes.

Event Timeline

kaldari created this task.Dec 10 2015, 4:38 AM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 4:38 AM
kaldari triaged this task as Normal priority.Dec 10 2015, 4:40 AM
kaldari added a project: Community-Tech.
kaldari set Security to None.
kaldari moved this task from Untriaged to Estimated on the Community-Tech board.
DannyH edited a custom field.
Niharika claimed this task.Dec 11 2015, 1:48 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 258992 had a related patch set uploaded (by Niharika29):
[WIP] Do all DB writes via the JobQueue

https://gerrit.wikimedia.org/r/258992

Change 258992 abandoned by Kaldari:
[WIP] Do all DB writes via the JobQueue

Reason:
need to reimport from scratch per https://phabricator.wikimedia.org/T121157

https://gerrit.wikimedia.org/r/258992

Change 258992 restored by Kaldari:
[WIP] Do all DB writes via the JobQueue

Reason:
Doesn't seem to make much difference re the force reset.

https://gerrit.wikimedia.org/r/258992

Change 263572 had a related patch set uploaded (by Niharika29):
Submit updates via the job queue for PageAssessments

https://gerrit.wikimedia.org/r/263572

Change 258992 abandoned by Niharika29:
[WIP] Do all DB writes via the JobQueue

Reason:
Made a new change as rebasing this re-created the files from BoilerPlate extension

https://gerrit.wikimedia.org/r/258992

Change 263572 merged by jenkins-bot:
Submit updates via the job queue for PageAssessments

https://gerrit.wikimedia.org/r/263572

kaldari closed this task as Resolved.Jan 13 2016, 11:20 PM
DannyH moved this task from Estimated to Archive on the Community-Tech board.